* {
    margin: 0;
padding: 0;
box-sizing: border-box;
font-family: 'poppins', 'sans-serif';
font-size: 18px;
}

body 
{
display: flex;
align-items: center;
justify-content: center;
flex-direction: column;
}

.header{
height: 80 px;
width: 70%;
background-color: goldenrod;
border-radius: 3px;
margin: 30px 0px;
display: flex;
align-items: center;
justify-content: space-between;
padding: 15px;
}

.header .logo{
font-size: 30px;
font-weight: bold;
color: white;
}

.cart{
display: flex;
background-color: white;
justify-content: space-between;
align-items: center;
padding: 7px 10px;
border-radius: 3px;
width: 80px;
}

.fa-solid{
color: goldenrod;
}

.cart p{
height: 22px;
width: 22px;
display: flex;
align-items: center;
justify-content: center;
border-radius: 22px;
background-color: goldenrod;
color: white;
}

.container{
    display: flex;
    width: 70%;
    margin-bottom: 30px;
}

#root{
    width: 60%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
}

.sidebar{
    /* kotak abu abu: kotak keranjang saya */
    width: 40%;
    border-radius: 5px;
    background-color: #eee;
    margin-left: 20px;
    padding: 15px;
    text-align: center;
}

.head{
    background-color: goldenrod;
    border-radius: 3px;
    height: 40px;
    padding: 10px;
    margin-bottom: 20px;
    color:white;
    display: flex;
    align-items: center;
}

.foot{
    display: flex;
    justify-content:space-between;
    margin: 20px 0px;
    padding: 10px;
    border-top: 1px solid #333;
}

.box{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    border: 1px solid goldenrod;
    border-radius: 5px;
    padding: 15px;
}

.img-box{
    width: 100%;
    height: 180px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.images{
    max-width: 90%;
    max-height: 90%;
    object-fit: cover;
    object-position: center;
}

.bottom{
    margin-top: 20px;
    width: 100%;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    height: 110px;
}

.foot h2{
    font-size: 20px;
    color: red;
    margin-bottom: 10px; /* Memberikan jarak bawah sebelum tombol */
}

.bottom h2{
    font-size: 20px;
    color: red;
}

.bottom button{
    width: 100%;
    position: relative;
    border: none;
    border-radius: 5px;
    background-color: goldenrod;
    padding: 7px 25px;
    cursor: pointer;
    color: white;
    }

.bottom button:hover {
    background-color: #333;
}

.cart-item{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    background-color: white;
    border-bottom: 1px solid #aaa;
    border-radius: 3px;
    margin: 10px 10px;
}

.row-img{
    width: 50px;
    height: 50px;
    border-radius: 50px;
    border: 1px solid goldenrod;
    display: flex;
    align-items: center;
    justify-content: center;
}

.rowimg{
    max-width: 43px;
    max-height: 43px;
    border-radius: 50%;
}

.fa-trash:hover{
    cursor: pointer;
    color: #333;
}

/* css untuk kosongkan keranjang */
.foot .clearCart{
    width:fit-content;
    position: relative;
    border: none;
    border-radius: 5px;
    background-color: goldenrod;
    padding: 7px 25px;
    cursor: pointer;
    color: white;
    margin-bottom: 10px; /* Memberikan jarak bawah sebelum tombol */
    margin-left: 1em;
    margin-right: 1em;
}
/* css untuk submit item di keranjang */
.foot .submit{
    width:fit-content;
    position: relative;
    border: none;
    border-radius: 5px;
    background-color: goldenrod;
    padding: 7px 25px;
    cursor: pointer;
    color: white;
}

/* CSS untuk blockchain */
.footer table {
    border-collapse: collapse;
    width: 100%;
}
.footer th {
    border: 1px solid #333;
    padding: 8px;
    text-align: center;
    color: white;
}
.footer td{
    border: 1px solid #333;
    padding: 8px;
    text-align: center;
}
.footer th {
    background-color: goldenrod;
}